com.massivecraft.factions.util.Particles

## Class ParticleEffect.NoteColor

- java.lang.Object
- - com.massivecraft.factions.util.Particles.ParticleEffect.ParticleColor
  - - com.massivecraft.factions.util.Particles.ParticleEffect.NoteColor

- Enclosing class:
    ParticleEffect

      public static final class ParticleEffect.NoteColor
      extends ParticleEffect.ParticleColor

  Represents the color for the `ParticleEffect.NOTE` effect

  This class is part of the ParticleEffect Library and follows the same usage conditions

  Since:
    1.7

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoteColor(int note)` Construct a new note color

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getValueX()` Returns the note value divided by 24
    `float` | `getValueY()` Returns zero because the offsetY value is unused
    `float` | `getValueZ()` Returns zero because the offsetZ value is unused

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoteColor

          public NoteColor(int note)
                    throws java.lang.IllegalArgumentException

      Construct a new note color
      Parameters:
        `note` - Note id which determines color
      Throws:
        `java.lang.IllegalArgumentException` - If the note value is lower than 0 or higher than 24

  - ### Method Detail

    - #### getValueX

          public float getValueX()

      Returns the note value divided by 24
      Specified by:
        `getValueX` in class `ParticleEffect.ParticleColor`
      Returns:
        The offsetX value

    - #### getValueY

          public float getValueY()

      Returns zero because the offsetY value is unused
      Specified by:
        `getValueY` in class `ParticleEffect.ParticleColor`
      Returns:
        zero

    - #### getValueZ

          public float getValueZ()

      Returns zero because the offsetZ value is unused
      Specified by:
        `getValueZ` in class `ParticleEffect.ParticleColor`
      Returns:
        zero